gtkmm: Gtk::CellView Class Reference

# Gtk::CellView Class Reference
[Widgets]

A widget displaying a single row of a TreeModel. More...

Inherits Gtk::Widget, and Gtk::CellLayout.

Collaboration diagram for Gtk::CellView:
[legend]

List of all members.

## Public Member Functions

virtual | ~CellView ()
GtkCellView* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellView* | gobj () const
| Provides access to the underlying C GtkObject.
| CellView ()
| CellView (const Glib::ustring& text, bool use_markup=false)
| Creates a new CellView widget, adds a CellRendererText to it, and makes it show the text.
| CellView (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
| Creates a new CellView widget, adds a CellRendererPixbuf to it, and makes it show the pixbuf.
void | set_model (const Glib::RefPtr< TreeModel >& model)
| Sets the model for cell_view.
void | unset_model ()
| Remove the model from the CellView.
Glib::RefPtr< TreeModel > | get_model ()
| Returns the model for cell_view.
Glib::RefPtr< const TreeModel > | get_model () const
| Returns the model for cell_view.
void | set_displayed_row (const TreeModel::Path& path)
| Sets the row of the model that is currently displayed by the Gtk::CellView.
TreeModel::Path | get_displayed_row () const
| Returns a Gtk::TreePath referring to the currently displayed row.
bool | get_size_of_row (const TreeModel::Path& path, Requisition& requisition) const
| Sets requisition to the size needed by cell_view to display the model row pointed to by path.
void | set_background_color (const Gdk::Color& color)
| Sets the background color of view.
Glib::ListHandle< CellRenderer* > | get_cell_renderers ()
| Returns the cell renderers which have been added to cell_view.
Glib::ListHandle< const CellRenderer* > | get_cell_renderers () const
| Returns the cell renderers which have been added to cell_view.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_background ()
| Background color as a string.
Glib::PropertyProxy< Gdk::Color > | property_background_gdk ()
| Background color as a GdkColor.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_background_gdk () const
| Background color as a GdkColor.
Glib::PropertyProxy< bool > | property_background_set ()
| Whether this tag affects the background color.
Glib::PropertyProxy_ReadOnly < bool > | property_background_set () const
| Whether this tag affects the background color.
Glib::PropertyProxy < Glib::RefPtr< TreeModel > > | property_model ()
| The model for cell view.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< TreeModel > > | property_model () const
| The model for cell view.

## Related Functions

(Note that these are not member functions.)
Gtk::CellView* | wrap (GtkCellView* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A widget displaying a single row of a TreeModel.

A CellView displays a single row of a TreeModel, using cell renderers just like TreeView. CellView doesn't support some of the more complex features of GtkTreeView, like cell editing and drag and drop.

## Constructor & Destructor Documentation

virtual Gtk::CellView::~CellView | ( |  | ) | `[virtual]`

Gtk::CellView::CellView | ( |  | ) |

Gtk::CellView::CellView | ( | const Glib::ustring & | text,
|  | bool | use_markup = `false` |
| ) |  |  | `[explicit]`

Creates a new CellView widget, adds a CellRendererText to it, and makes it show the text.

Optionally, the text can be marked up with the Pango text markup language.

Parameters:

  | text | The text to display in the cell view
  | markup | Whether the text uses Pango text markup language.

Gtk::CellView::CellView | ( | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf | ) | `[explicit]`

Creates a new CellView widget, adds a CellRendererPixbuf to it, and makes it show the pixbuf.

Parameters:

  | pixbuf | The image to display in the cell view
  | markup | Whether the text uses Pango text markup language.

## Member Function Documentation

Glib::ListHandle<const CellRenderer*> Gtk::CellView::get_cell_renderers | ( |  | ) | const

Returns the cell renderers which have been added to cell_view.

Since gtkmm 2.6:

Deprecated: 2.18: use Gtk::CellLayout::get_cells() instead.

Returns:
  A list of cell renderers. The list, but not the renderers has been newly allocated and should be freed with Glib::list_free() when no longer needed.

Glib::ListHandle<CellRenderer*> Gtk::CellView::get_cell_renderers | ( |  | ) |

Returns the cell renderers which have been added to cell_view.

Since gtkmm 2.6:

Deprecated: 2.18: use Gtk::CellLayout::get_cells() instead.

Returns:
  A list of cell renderers. The list, but not the renderers has been newly allocated and should be freed with Glib::list_free() when no longer needed.

TreeModel::Path Gtk::CellView::get_displayed_row | ( |  | ) | const

Returns a Gtk::TreePath referring to the currently displayed row.

If no row is currently displayed, `0` is returned.

Since gtkmm 2.6:

Returns:
  The currently displayed row or `0`.

Glib::RefPtr<const TreeModel> Gtk::CellView::get_model | ( |  | ) | const

Returns the model for cell_view.

If no model is used `0` is returned.

Since gtkmm 2.16:

Returns:
  A Gtk::TreeModel used or `0`.

Glib::RefPtr<TreeModel> Gtk::CellView::get_model | ( |  | ) |

Returns the model for cell_view.

If no model is used `0` is returned.

Since gtkmm 2.16:

Returns:
  A Gtk::TreeModel used or `0`.

bool Gtk::CellView::get_size_of_row | ( | const TreeModel::Path& | path,
|  | Requisition& | requisition |
| ) |  |  | const

Sets requisition to the size needed by cell_view to display the model row pointed to by path.

Since gtkmm 2.6:

Parameters:

  | path | A Gtk::TreePath.
  | requisition | Return location for the size.

Returns:
  `true`.

const GtkCellView* Gtk::CellView::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellLayout.

GtkCellView* Gtk::CellView::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellLayout.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Gtk::CellView::property_background | ( |  | ) |

Background color as a string.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::CellView::property_background_gdk | ( |  | ) | const

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::CellView::property_background_gdk | ( |  | ) |

Background color as a GdkColor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellView::property_background_set | ( |  | ) | const

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellView::property_background_set | ( |  | ) |

Whether this tag affects the background color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<TreeModel> > Gtk::CellView::property_model | ( |  | ) | const

The model for cell view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<TreeModel> > Gtk::CellView::property_model | ( |  | ) |

The model for cell view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::CellView::set_background_color | ( | const Gdk::Color& | color | ) |

Sets the background color of view.

Since gtkmm 2.6:

Parameters:

  | color | The new background color.

void Gtk::CellView::set_displayed_row | ( | const TreeModel::Path& | path | ) |

Sets the row of the model that is currently displayed by the Gtk::CellView.

If the path is unset, then the contents of the cellview "stick" at their last value; this is not normally a desired result, but may be a needed intermediate state if say, the model for the Gtk::CellView becomes temporarily empty.

Since gtkmm 2.6:

Parameters:

  | path | A Gtk::TreePath or `0` to unset.

void Gtk::CellView::set_model | ( | const Glib::RefPtr< TreeModel >& | model | ) |

Sets the model for cell_view.

If cell_view already has a model set, it will remove it before setting the new model. Use unset_model() to unset the old model.

Since gtkmm 2.6:

Parameters:

  | model | A Gtk::TreeModel.

void Gtk::CellView::unset_model | ( |  | ) |

Remove the model from the CellView.

See also:
  set_model().

Since gtkmm 2.16:

## Friends And Related Function Documentation

Gtk::CellView* wrap | ( | GtkCellView * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellview.h